]> SALOME platform Git repositories - plugins/ghs3dprlplugin.git/commitdiff
Salome HOME
Compatibility cmake
authoradam <adam>
Tue, 23 Mar 2010 09:31:26 +0000 (09:31 +0000)
committeradam <adam>
Tue, 23 Mar 2010 09:31:26 +0000 (09:31 +0000)
build_cmake [new file with mode: 0755]
build_cmake.bat [new file with mode: 0644]
src/GHS3DPRLPlugin/GHS3DPRLPlugin_Hypothesis.cxx
src/tepal2med/Makefile.am

diff --git a/build_cmake b/build_cmake
new file mode 100755 (executable)
index 0000000..f627438
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+#  Copyright (C) 2007-2008  CEA/DEN, EDF R&D, OPEN CASCADE
+#
+#  Copyright (C) 2003-2007  OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
+#  CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
+#
+#  This library is free software; you can redistribute it and/or
+#  modify it under the terms of the GNU Lesser General Public
+#  License as published by the Free Software Foundation; either
+#  version 2.1 of the License.
+#
+#  This library is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+#  Lesser General Public License for more details.
+#
+#  You should have received a copy of the GNU Lesser General Public
+#  License along with this library; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
+#
+#  See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
+#
+
+CURRENT_DIR=`pwd`
+CONF_DIR=`echo $0 | sed -e "s,[^/]*$,,;s,/$,,;s,^$,.,"`
+cd ${CONF_DIR}
+python $KERNEL_ROOT_DIR/salome_adm/cmake_files/am2cmake.py --ghs3dprlplugin
+status=$?
+cd ${CURRENT_DIR}
+exit $status
diff --git a/build_cmake.bat b/build_cmake.bat
new file mode 100644 (file)
index 0000000..3964461
--- /dev/null
@@ -0,0 +1,2 @@
+\r
+%PYTHONBIN% %KERNEL_ROOT_DIR%\salome_adm\cmake_files\am2cmake.py --ghs3dprlplugin\r
index b08759cd1149fb79a4f70aa387e2d7cd783849bd..bccf0f5d464678506e236491ea3ccdea881e5f2a 100755 (executable)
@@ -21,7 +21,7 @@
 // Author : Christian VAN WAMBEKE (CEA) (from Hexotic plugin Lioka RAZAFINDRAZAKA)
 // ---
 
-#include <GHS3DPRLPlugin_Hypothesis.hxx>
+#include "GHS3DPRLPlugin_Hypothesis.hxx"
 #include <utilities.h>
 
 //=============================================================================
index 893c353b673037282805a506660004a600b502d2..57ab243f883fa4e9721c5f787a9068325d0399bd 100644 (file)
@@ -44,6 +44,6 @@ BUILT_SOURCES = $(UIC_FILES)
 
 nodist_tepal2med_SOURCES = $(MOC_FILES) $(UIC_FILES)
 
-tepal2med_CPPFLAGS = $(QT_INCLUDES) $(MED2_INCLUDES) $(HDF5_INCLUDES) $(LIBXML_INCLUDES)
+tepal2med_CPPFLAGS = -I@builddir@ $(QT_INCLUDES) $(MED2_INCLUDES) $(HDF5_INCLUDES) $(LIBXML_INCLUDES)
 
 tepal2med_LDADD = $(QT_LIBS) $(MED2_LIBS) $(HDF5_LIBS) $(LIBXML_LIBS)